nixp.ru v3.0

20 октября 2017,
пятница,
19:23:24 MSK

DevOps с компанией «Флант»
Ping_Win написал 11 февраля 2005 года в 00:52 (319 просмотров) Ведет себя неопределенно; открыл 73 темы в форуме, оставил 102 комментария на сайте.

Здравствуйте.

Обращаюсь вновь за помощью по причине появления очередных проблем.

1)После перехода на ядро 2.6.10(RH90) захотел обновить iptables.

«Стянул» с rpmfind.net iptables-1.2.11-5.i686.rpm.

На всякий случай скачал еще несколько вариантов:

iptables-1.2.11-5.i686.rpm

iptables-1.2.11-3.2.src.rpm

iptables-1.2.11-3.2.i386.rpm

iptables-1.2.11-3.1.src.rpm

iptables-1.2.11-3.1.FC3.i386.rpm

Поддержка iptables в ядро включена полностью. Старая версия iptables-1.2.7a.

Делаю rpm -i iptables-1.2.11-5.i686.rpm, а мне в ответ:

: iptables-1.2.11-5.i686.rpm: DSA V3: NOKEY,key ID e01260f1

/usr/share/man/man8 ip6tables.8.gz iptables-1.2.11-5

/usr/share/man/man8/iptables-restore.8.gz iptables-1.2.11-5

/usr/share/man/man8/iptables-save.8.gz iptables-1.2.11-5

/usr/share/man/man8/iptables.8.gz iptables-1.2.11-5

После чего iptables -V выдает старую 1.2.7a, т.е ничего не обновилось.

(с ключом -U тоже пробовал)

2) rpm -i libc-5.4.44-1.i386.rpm

Выдает ld.so >= 1.9.5 libc-5.4.44-1

3) rpm -i xine-0.99.3-2.1.fc3.rf.i386.rpm

Выдает список библилотек:

libXinerama.so.1;libXxf86.vm.so.1; libaa.so.1; libcurl.so.3; libidn.so.11; libxine.so.1

И в конце — xine-lib>=1.0.0

В общем ни один из пакетов не захотел установиться.

Подскажите пожалуйста, как надо делать.

Спасибо.

fly4life

На будущее — устанавливай пакеты с ключами '-ivh’. Так хоть будут ошибки выводиться на консоль.

Ping_Win
Поддержка iptables в ядро включена полностью. Старая версия iptables-1.2.7a.

Делаю rpm -i iptables-1.2.11-5.i686.rpm, а мне в ответ:

: iptables-1.2.11-5.i686.rpm: DSA V3: NOKEY,key ID e01260f1

/usr/share/man/man8 ip6tables.8.gz iptables-1.2.11-5

/usr/share/man/man8/iptables-restore.8.gz iptables-1.2.11-5

/usr/share/man/man8/iptables-save.8.gz iptables-1.2.11-5

/usr/share/man/man8/iptables.8.gz iptables-1.2.11-5

После чего iptables -V выдает старую 1.2.7a, т.е ничего не обновилось.

(с ключом -U тоже пробовал)

См. совет выше. Прогони установку с ключами '-ivh' и покажи здесь результат вывода на консоль.

Про две остальных программы тоже самое, но, в принципе, там ясно, чего не хватает новому пакету.

Ping_Win
2) rpm -i libc-5.4.44-1.i386.rpm

Выдает ld.so >= 1.9.5 libc-5.4.44-1 .

Здесь тебя просят ld.so версии не меньшей 1.9.5. Т.е. придётся установить сначала её, а потом только уже пытаться опять libc.

Ping_Win
3) rpm -i xine-0.99.3-2.1.fc3.rf.i386.rpm

Выдает список библилотек:

libXinerama.so.1;libXxf86.vm.so.1; libaa.so.1; libcurl.so.3; libidn.so.11; libxine.so.1

И в конце — xine-lib>=1.0.0

тут тебе перечисляют те библиотеки, которые нужны для нового xine, а в конце просят, чтобы xine-lib был версии не меньше 1.0.0 (когда как у тебя оно либо вообще не стоит, либо версия старше).

П.С. а не поставить ли тебе дистрибутив поновее?